title: Accomodation
sections:
  main:
    display: Main
    fields:
      -
        handle: title
        field:
          type: text
          required: true
          localizable: true
          validate:
            - required
          display: 'Page title'
          instructions_position: above
          listable: hidden
          visibility: visible
          always_save: false
          input_type: text
          antlers: false
      -
        handle: slider_title
        field:
          input_type: text
          antlers: false
          display: 'Slider title'
          type: text
          icon: text
          listable: hidden
          instructions_position: above
          visibility: visible
          always_save: false
          localizable: true
      -
        handle: carousel_title
        field:
          placeholder: 'Per andare a capo scrivere <br>'
          input_type: text
          antlers: false
          display: 'Carousel Title'
          type: text
          icon: text
          localizable: true
          listable: hidden
          instructions_position: above
          visibility: visible
          always_save: false
      -
        handle: location
        field:
          placeholder: '45.866667, 8.983333'
          input_type: text
          antlers: false
          display: Location
          type: text
          icon: text
          instructions: 'Paste coordinate like this: 45.866667, 8.983333'
          listable: hidden
          instructions_position: above
          localizable: false
      -
        handle: address
        field:
          antlers: false
          display: Address
          type: textarea
          icon: textarea
          localizable: true
          listable: hidden
          instructions_position: above
      -
        handle: address_long
        field:
          always_show_set_button: false
          previews: true
          buttons:
            - h2
            - h3
            - bold
            - italic
            - unorderedlist
            - orderedlist
            - removeformat
            - quote
            - anchor
            - image
            - table
          save_html: false
          toolbar_mode: fixed
          link_noopener: false
          link_noreferrer: false
          target_blank: false
          reading_time: false
          fullscreen: true
          allow_source: true
          enable_input_rules: true
          enable_paste_rules: true
          antlers: false
          remove_empty_nodes: false
          display: 'Address Long'
          type: bard
          icon: bard
          localizable: true
          listable: hidden
          instructions_position: above
          visibility: visible
          always_save: false
      -
        handle: accomodation_services
        field:
          fields:
            -
              import: icon
              prefix: icon__
          mode: table
          add_row: 'Aggiungi servizio'
          reorderable: true
          display: 'Lista servizi'
          type: grid
          icon: grid
          localizable: true
          listable: hidden
          instructions_position: above
          visibility: visible
          always_save: false
      -
        handle: cost
        field:
          input_type: text
          antlers: false
          display: 'Cost per night'
          type: text
          icon: text
          localizable: true
          listable: hidden
          instructions_position: above
      -
        handle: booking_link
        field:
          input_type: url
          antlers: false
          display: 'Booking link'
          type: text
          icon: text
          localizable: true
          listable: hidden
          instructions_position: above
          visibility: visible
          always_save: false
      -
        handle: hero_type
        field:
          options:
            image: image
            image_small: 'Image Small'
            video: Video
            video_small: 'Video Small'
            mosaic: Mosaic
            mosaic_small: 'Mosaic Small'
          inline: true
          cast_booleans: false
          default: image
          display: 'Hero type'
          type: radio
          icon: radio
          listable: hidden
          instructions_position: above
          visibility: visible
          always_save: false
          localizable: false
      -
        handle: list_image
        field:
          mode: list
          container: assets
          restrict: false
          allow_uploads: true
          show_filename: true
          display: 'List image'
          type: assets
          icon: assets
          listable: hidden
          instructions_position: above
          localizable: false
      -
        handle: horizontal_image
        field:
          mode: list
          container: assets
          restrict: false
          allow_uploads: true
          show_filename: true
          max_files: 1
          display: 'Horizontal image'
          type: assets
          icon: assets
          instructions: 'For the mosaic'
          listable: hidden
          instructions_position: above
          visibility: visible
          always_save: false
          if:
            hero_type: 'contains mosaic'
          localizable: false
      -
        handle: extra_video
        field:
          mode: list
          container: assets
          restrict: false
          allow_uploads: true
          show_filename: true
          max_files: 1
          display: 'Extra Video'
          type: assets
          icon: assets
          localizable: true
          listable: hidden
          instructions_position: above
          visibility: visible
          always_save: false
      -
        handle: intro_image
        field:
          mode: list
          container: assets
          restrict: false
          allow_uploads: true
          show_filename: true
          display: 'Intro image'
          type: assets
          icon: assets
          listable: hidden
          instructions_position: above
          localizable: false
      -
        handle: paragraph_title
        field:
          input_type: text
          antlers: false
          display: 'Paragraph title'
          type: text
          icon: text
          listable: hidden
          instructions_position: above
          visibility: visible
          always_save: false
          localizable: true
      -
        handle: intro
        field:
          always_show_set_button: false
          buttons:
            - h2
            - h3
            - bold
            - italic
            - unorderedlist
            - orderedlist
            - removeformat
            - quote
            - anchor
            - image
            - table
          save_html: false
          toolbar_mode: fixed
          link_noopener: false
          link_noreferrer: false
          target_blank: false
          reading_time: false
          fullscreen: true
          allow_source: true
          enable_input_rules: true
          enable_paste_rules: true
          antlers: false
          display: Intro
          type: bard
          icon: bard
          localizable: true
          listable: hidden
          instructions_position: above
      -
        handle: rooms_txt
        field:
          collapse: false
          always_show_set_button: false
          previews: true
          buttons:
            - h2
            - h3
            - bold
            - italic
            - unorderedlist
            - orderedlist
            - removeformat
            - quote
            - anchor
            - image
            - table
          save_html: false
          toolbar_mode: fixed
          link_noopener: false
          link_noreferrer: false
          target_blank: false
          reading_time: false
          fullscreen: true
          allow_source: true
          enable_input_rules: true
          enable_paste_rules: true
          antlers: false
          remove_empty_nodes: false
          display: 'Testo intro camere'
          type: bard
          icon: bard
          localizable: true
          listable: hidden
          instructions_position: above
          visibility: visible
          always_save: false
      -
        handle: boxes_generic
        field:
          collapse: false
          previews: true
          sets:
            box_generic_2_columns:
              display: 'Box Generic 2 columns'
              fields:
                -
                  import: generic_box_two_cols
                  prefix: box_2_cols__
          display: Box
          type: replicator
          icon: replicator
          listable: hidden
          instructions_position: above
          visibility: visible
          always_save: false
          localizable: true
  sidebar:
    display: Sidebar
    fields:
      -
        handle: slug
        field:
          type: slug
          localizable: true
      -
        handle: seo_title
        field:
          input_type: text
          antlers: false
          display: 'SEO Title'
          type: text
          icon: text
          localizable: true
          listable: hidden
          instructions_position: above
      -
        handle: seo_description
        field:
          antlers: false
          display: 'SEO Description'
          type: textarea
          icon: textarea
          localizable: true
          listable: hidden
          instructions_position: above
      -
        handle: date
        field:
          type: date
          required: true
          validate:
            - required
          localizable: false
      -
        handle: parent
        field:
          type: entries
          collections:
            - pages
          max_items: 1
          listable: false
          localizable: true
      -
        handle: template
        field:
          hide_partials: true
          display: Template
          type: template
          icon: template
          listable: hidden
          instructions_position: above
          localizable: false
